package com.example.flutterpluginzero;

import android.app.Activity;
import android.content.Intent;
import android.widget.Toast;

import es.dmoral.toasty.Toasty;
import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** FlutterPluginZeroPlugin */
public class FlutterPluginZeroPlugin implements MethodCallHandler {

  private final MethodChannel channel;
  private Activity activity;

  public FlutterPluginZeroPlugin(MethodChannel channel, Activity activity) {
    this.channel = channel;
    this.activity = activity;
    this.channel.setMethodCallHandler(this);
  }

  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_plugin_zero");
    channel.setMethodCallHandler(new FlutterPluginZeroPlugin(channel, registrar.activity()));
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {

    if (call.method.equals("getPlatformVersion")) {
      result.success("Android " + android.os.Build.VERSION.RELEASE);
    } else if (call.method.equals("showToast")){
      int msg=call.argument("msg");
      int msg1=call.argument("msg1");
      Toast.makeText(activity, "Summation: "+String.valueOf(msg+msg1), Toast.LENGTH_LONG).show();

    } else if (call.method.equals("openCamera")){
      Toasty.success(activity, "Camera Opening").show();
      new camera(activity).openCamera();

    } else {
      result.notImplemented();
    }
  }
}
